Bug 994850 - it's not possible to create any loop using sooperlooper
it's not possible to create any loop using sooperlooper
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: sooperlooper (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fernando Lopez-Lezcano
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-08 02:29 EDT by ycollet
Modified: 2015-02-17 11:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:38:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ycollet 2013-08-08 02:29:23 EDT
I start jack using qjackctl.
Then I start sooperlooper.
In sooperlooper, I clicked on 'Add a Mono Loop'. Nothings happens and, after a while, the following message is displayed in popup:

No response from SooperLooper engine process.
Please make sure the JACK server is running.
Also check that the system's hostname resolves properly.

I tried to set some preferences, but nothing worked.

YC
Comment 1 Brendan Jones 2013-08-08 15:26:02 EDT
Can you try the following:

start jack using qjackctl (verify that it works with another program)

open a terminal and run the command sooperlooper

open another terminal and run the command slgui

and post the output of both terminal windows here.

ta
Comment 2 Fernando Lopez-Lezcano 2013-08-08 16:12:06 EDT
(In reply to Brendan Jones from comment #1)
> Can you try the following:
> 
> start jack using qjackctl (verify that it works with another program)
> 
> open a terminal and run the command sooperlooper
> 
> open another terminal and run the command slgui
> 
> and post the output of both terminal windows here.

Just a comment: this is most likely a problem with networking, I have seen this happen recently but I don't really know what is the best fix (in the distant past I used to have a patch for something similar). I think the problem happens if name resolution for the local host is not working correctly.
Comment 3 ycollet 2013-08-14 13:39:30 EDT
Hello,

Sorry for the delay.

I looked at ~/.sooperlooper and no file default_midi.slb is present when both slgui and sooperlooper are running.
Here is the content of this directory:

ls -l ~/.sooperlooper/
total 4
-rw-rw-r--. 1 collette collette 1794  8 août  08:27 gui_config.xml

Here are the console messages for slgui:

slgui 
slgui: our URL is osc.udp://localhost:17869/
Changing our url to be : osc.udp://localhost:17869/
liblo error: lo_send, lo_message_add, or lo_message_add_varargs called with mismatching types and data at
loop_control.cpp:334, exiting.
execing: 'sooperlooper -q -U osc.udp://localhost:17869/ -p 9952 -l 1 -c 2 -t 40 -m "/home/collette/.sooperlooper/default_midi.slb" -j "sooperlooper" -D no'

slgui: spawned new engine
liblo error: lo_send, lo_message_add, or lo_message_add_varargs called with mismatching types and data at
control_osc.cpp:1703, exiting.
OSC error -2: bad format/args
sooperlooper warning: could not open for reading: /home/collette/.sooperlooper/default_midi.slb
liblo error: lo_send, lo_message_add, or lo_message_add_varargs called with mismatching types and data at
loop_control.cpp:541, exiting.
slgui: gave up on spawned engine


Here are the console messages for sooperlooper:

sooperlooper 
SooperLooper 1.7.0
Copyright 2007 Jesse Chappell
OSC server URI (network) is: osc.udp://localhost:9951/
Comment 4 ycollet 2013-08-14 13:42:26 EDT
By the way, I tested jack via tuxguitar and everything worked fine.
I can ping localhost without problem.
Comment 5 Brendan Jones 2013-08-14 16:09:25 EDT
Could be a liblo problem. See this bug 988421
Comment 6 ycollet 2013-08-15 03:47:59 EDT
Hello,

I downgraded liblo:

yum downgrade liblo liblo-devel

And now, sooperlooper works.

Thanks,

YC
Comment 7 Fedora End Of Life 2015-01-09 14:21:06 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-02-17 11:38:43 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 ycollet 2015-02-17 11:42:32 EST
Hello,

This bug has been fixed a while ago via a fix in liblo.
SooperLooper works on fedora 20.
So, we can close this bug report.

Best regards,

YC

Note You need to log in before you can comment on or make changes to this bug.